Files
probot.github.io/script/remote-sync
2017-09-08 11:57:41 -05:00

27 lines
561 B
Bash
Executable File

#!/usr/bin/env bash
set -x # print commands before execution
set -o errexit # always exit on error
set -o pipefail # honor exit codes when piping
set -o nounset # fail on unset variables
# expected environment variables
# GIT_AUTHOR_NAME
# GIT_AUTHOR_EMAIL
REPOSITORY=https://github.com/probot/probot.github.io.git
rm -rf work
git clone --depth=1 $REPOSITORY work
cd work
script/bootstrap
script/sync-data
git diff-index --quiet HEAD -- || {
git add .
git commit -am "Sync data"
git push origin master --follow-tags
}
rm -rf work